Bug 860989 - [fork]Have two app commands listed in the rhc --help
[fork]Have two app commands listed in the rhc --help
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 05:22 EDT by Wei Sun
Modified: 2015-05-14 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_173
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-09-27 05:22:49 EDT
Description of problem:
run "rhc -h",have two app commands listed.

Version-Release number of selected component (if applicable):
fork_ami_US2597_US2599_US2813_US2817_US2872_172

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[sunwei@dhcp-8-229 dev]$ rhc -h
Usage: rhc (<resource> | --help) [<action>] [<args>]
Command line interface for OpenShift.

List of Commands and Resources
  app                Manage applications within the OpenShift account.
  app                Commands for creating and managing applications
  cartridge          Manage your application cartridges
  domain             Manage the domain and namespace for your applications.
  port-forward       Forward remote ports to the workstation
  server             Display information about the status of the OpenShift service.
  setup              Easy to use wizard for getting started with OpenShift.
  snapshot           Pull down application snapshot for a user.
  sshkey             Manage multiple keys for the registered rhcloud user.
  threaddump         Trigger a thread dump for JBossAS, JBossEAP, and Ruby applications.

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  -t, --trace               Display backtrace when an error occurs

See 'rhc help <resource>' for more specifics on each resource or command.


Expected results:
Should not have two app commands listed.

Additional info:
Comment 1 John (J5) Palmieri 2012-09-27 19:17:43 EDT
removed the legacy help bits
Comment 2 Wei Sun 2012-09-27 22:14:38 EDT
verified on fork_ami_US2597_US2599_US2813_US2817_US2872_173

step:
1.rhc -h

Result:
[sunwei@dhcp-8-229 ~]$ rhc -h
Usage: rhc (<resource> | --help) [<action>] [<args>]
Command line interface for OpenShift.

List of Commands and Resources
  app                Commands for creating and managing applications
  cartridge          Manage your application cartridges
  domain             Manage the domain and namespace for your applications.
  port-forward       Forward remote ports to the workstation
  server             Display information about the status of the OpenShift service.
  setup              Easy to use wizard for getting started with OpenShift.
  snapshot           Pull down application snapshot for a user.
  sshkey             Manage multiple keys for the registered rhcloud user.
  threaddump         Trigger a thread dump for JBossAS, JBossEAP, and Ruby applications.

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --trace                   Display backtrace when an error occurs
  --timeout                 Set the timeout in seconds for network commands

See 'rhc help <resource>' for more specifics on each resource or command.

Note You need to log in before you can comment on or make changes to this bug.